Bug 981917 - [abrt] control-center-3.8.3-2.fc19: g_str_hash: Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
[abrt] control-center-3.8.3-2.fc19: g_str_hash: Process /usr/bin/gnome-contro...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
abrt_hash:a20bbd887207f0ef3a206af086d...
:
: 995769 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-06 21:43 EDT by Rameshbabu
Modified: 2015-02-17 10:55 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:55:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.47 KB, text/plain)
2013-07-06 21:43 EDT, Rameshbabu
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-06 21:43 EDT, Rameshbabu
no flags Details
File: core_backtrace (3.09 KB, text/plain)
2013-07-06 21:43 EDT, Rameshbabu
no flags Details
File: dso_list (24.78 KB, text/plain)
2013-07-06 21:43 EDT, Rameshbabu
no flags Details
File: environ (1.61 KB, text/plain)
2013-07-06 21:43 EDT, Rameshbabu
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-06 21:43 EDT, Rameshbabu
no flags Details
File: maps (113.86 KB, text/plain)
2013-07-06 21:43 EDT, Rameshbabu
no flags Details
File: open_fds (3.12 KB, text/plain)
2013-07-06 21:43 EDT, Rameshbabu
no flags Details
File: proc_pid_status (812 bytes, text/plain)
2013-07-06 21:43 EDT, Rameshbabu
no flags Details
File: var_log_messages (508 bytes, text/plain)
2013-07-06 21:43 EDT, Rameshbabu
no flags Details
File: xsession_errors (1.44 KB, text/plain)
2013-07-06 21:43 EDT, Rameshbabu
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 705885 None None None Never

  None (edit)
Description Rameshbabu 2013-07-06 21:43:01 EDT
Description of problem:
after upgrading to latest fedora, tried to add a new language in settings --> region and language

Version-Release number of selected component:
control-center-3.8.3-2.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: g_str_hash
executable:     /usr/bin/gnome-control-center
kernel:         3.9.9-301.fc19.i686
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_str_hash at ghash.c:1732
 #1 g_hash_table_lookup_node at ghash.c:365
 #2 g_hash_table_lookup at ghash.c:1076
 #3 gnome_xkb_info_get_layouts_for_country at gnome-xkb-info.c:1020
 #4 get_locale_infos at cc-input-chooser.c:1075
 #5 cc_input_chooser_new at cc-input-chooser.c:1168
 #6 show_input_chooser at cc-region-panel.c:1137
 #7 g_cclosure_marshal_VOID__VOIDv at gmarshal.c:115
 #8 _g_closure_invoke_va at gclosure.c:840
 #11 gtk_button_clicked at gtkbutton.c:1308

Potential duplicate: bug 742428
Comment 1 Rameshbabu 2013-07-06 21:43:06 EDT
Created attachment 769801 [details]
File: backtrace
Comment 2 Rameshbabu 2013-07-06 21:43:10 EDT
Created attachment 769802 [details]
File: cgroup
Comment 3 Rameshbabu 2013-07-06 21:43:15 EDT
Created attachment 769803 [details]
File: core_backtrace
Comment 4 Rameshbabu 2013-07-06 21:43:20 EDT
Created attachment 769804 [details]
File: dso_list
Comment 5 Rameshbabu 2013-07-06 21:43:24 EDT
Created attachment 769805 [details]
File: environ
Comment 6 Rameshbabu 2013-07-06 21:43:28 EDT
Created attachment 769806 [details]
File: limits
Comment 7 Rameshbabu 2013-07-06 21:43:34 EDT
Created attachment 769807 [details]
File: maps
Comment 8 Rameshbabu 2013-07-06 21:43:38 EDT
Created attachment 769808 [details]
File: open_fds
Comment 9 Rameshbabu 2013-07-06 21:43:42 EDT
Created attachment 769809 [details]
File: proc_pid_status
Comment 10 Rameshbabu 2013-07-06 21:43:46 EDT
Created attachment 769810 [details]
File: var_log_messages
Comment 11 Rameshbabu 2013-07-06 21:43:51 EDT
Created attachment 769811 [details]
File: xsession_errors
Comment 12 HO Chun Leung 2013-07-15 05:20:17 EDT
Launch Region&Language in Gnome Control Center
Error occurred after pressing the "+" button in the Input Sources section

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gnome-control-center region
crash_function: g_str_hash
executable:     /usr/bin/gnome-control-center
kernel:         3.9.9-301.fc19.x86_64
package:        control-center-3.8.3-2.fc19
reason:         Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
xsession_errors:
Comment 13 HO Chun Leung 2013-07-15 05:21:12 EDT
After pressing the "+" button in the Input Sources section in Region&Language Settings in Gnome Control Center

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gnome-control-center region
crash_function: g_str_hash
executable:     /usr/bin/gnome-control-center
kernel:         3.9.8-300.fc19.x86_64
package:        control-center-3.8.3-2.fc19
reason:         Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
xsession_errors:
Comment 14 Stas Sergeev 2013-08-11 11:55:03 EDT
The fix can be found here:
https://bugzilla.redhat.com/attachment.cgi?id=785367
Comment 15 Parag Nemade 2013-08-13 03:14:26 EDT
I wanted to add new input method. I clicked on "Region & Language settings" and clicked on + button but it crashed. I attempted again but it keeps crashing.

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        gnome-control-center region
crash_function: g_str_hash
executable:     /usr/bin/gnome-control-center
kernel:         3.10.5-201.fc19.x86_64
package:        control-center-3.8.3-2.fc19
reason:         Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
Comment 16 Rui Matos 2013-08-13 05:02:08 EDT
*** Bug 995769 has been marked as a duplicate of this bug. ***
Comment 17 Fedora End Of Life 2015-01-09 13:43:27 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-02-17 10:55:09 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.